# Llums

**Membres del grup**: Paula Hernandez, Arnau Pique, Sergi Marsol

## Objectiu
Hem:

- d'implementar un sistema que regula la tensio pel microcontrolador.
- de fer un sistema automatic perque s'ensenguin les llums d'encreuament.
- d'implementar un sistema que amplifique el corren per les llums exteriors del cotxe i un altre per el neteja-fars.


## Requisits / Especificacions

**Llums**
- De carretera
- Dencreuement
- De circulacio diurna
- Intermitents
- Motor escombreta neteja-fars.
- Sensor digital de llum, per activar les llums
- Retrovisors

## Diagrama de blocs
![Diagrama](Diagrama_de_blocs.jpg)

## Components
| Ref. | Descripcio| Datasheet |
| ------ | -----------------| ------------------|
| PIC18F458| Microntrolador | [datasheet](https://www.mouser.es/datasheet/2/268/41159e-30206.pdf)|
| LM1117| Regulador | [datasheet](https://www.ti.com/general/docs/suppproductinfo.tsp?distId=26&gotoUrl=https://www.ti.com/lit/gpn/lm1117)|
| MCP2551| Transceiver CAN | [datasheet](https://www.farnell.com/datasheets/2299423.pdf)|
| 24C02C/P| EEPROM | [datasheet](https://4donline.ihs.com/images/VipMasterIC/IC/MCHP/MCHPS02656/MCHPS02656-1.pdf?hkey=52A5661711E402568146F3353EA87419)|
| DB9| Connector CAN | [datasheet](https://www.farnell.com/datasheets/576664.pdf)|
| G5LE-14-CF| Rele alta potencia | [datasheet](https://omronfs.omron.com/en_US/ecb/products/pdf/en-g5le.pdf)|
| G5NB1A | Rele baixa potencia | [datasheet](https://www.farnell.com/datasheets/2182432.pdf)|
| HC49US| Clock | [datasheet](https://www.farnell.com/datasheets/1359171.pdf)|
| L298N| Driver pels motors | [datasheet](https://www.farnell.com/datasheets/1693054.pdf)|
| ULN2003| Driver reles | [datasheet](https://www.ti.com/lit/ds/symlink/uln2003a.pdf?ts=1679884652584&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FULN2003A%253Futm_source%253Dgoogle%2526utm_medium%253Dcpc%2526utm_campaign%253Dapp-psil-null-prodfolderdynamic-cpc-pf-google-wwe_int%2526utm_content%253Dprodfolddynamic%2526ds_k%253DDYNAMIC%2BSEARCH%2BADS%2526DCM%253Dyes%2526gclid%253DCj0KCQjw2v-gBhC1ARIsAOQdKY2V8NQj1MDO03wHvxCNCnLLP3BTjBXfBt316i6NoYeyX4ZuCcTenmoaAiblEALw_wcB%2526gclsrc%253Daw.ds)|
| LDR | Sensor de llum | Resistencia 

## Historial de canvis
| Data               | Autor     | Descripcio                                                                                 |
| -------------------- | ------------ | ------------------------------------------------------------------------------------------ |
|  22/03/2023 | Paula | Primera versio diagrama de blocs, seleccio components |
|  07/04/2023 | Arnau | Actualizacio esquematic: connexions driver-rele i connexio EEPROM fetes |
|  09/04/2023 | Sergi | Primera versio pcb |
|  11/04/2023 | Arnau/Paula | Versio final pcb abans de la primera sessio de pcb |
|  12/04/2023 | Arnau | Posar peus de pagina als planols sch y pcb, i implementar el sensor de llum tant al sch com a la pcb |
|  19/04/2023 | Arnau | Versio final pcb amb els canvis proposats pel professorat i passar de 4 a 2 capes |